> ## Documentation Index
> Fetch the complete documentation index at: https://watermelon.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CustomFields



## OpenAPI

````yaml get /fields
openapi: 3.0.3
info:
  version: 1.0.0
  title: https://public.watermelon.ai
servers:
  - url: https://public.watermelon.ai/api/v1
security: []
paths:
  /fields:
    get:
      summary: Get CustomFields
      operationId: ListFields
      responses:
        '200':
          description: Custom fields retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Field'
        '204':
          description: No custom fields found
        '500':
          description: Something went wrong
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    Field:
      type: object
      properties:
        id:
          type: integer
          example: 1
        company_id:
          type: integer
        icon:
          type: string
          example: information
        name:
          type: string
          example: Order number
        type:
          type: string
          enum:
            - text
            - short_text
            - numbers
            - phone
            - email
            - currency
            - date
          example: text
        order:
          type: integer
        value:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
        is_unique:
          type: boolean
    Error:
      type: object
      properties:
        code:
          type: integer
          format: int64
        message:
          type: string
        fields:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````